(*decoderjeva naloga je pridobiti mnemonic in tip ukaza iz prvega byta z pogledom v hash-table*)
let table = OpcodeTable.table

let decoder (byte1 : char) : OpcodeTable.info =
  let opcode = (Char.code byte1) land 0xFC in
  try
    Hashtbl.find OpcodeTable.table opcode
  with
  | Not_found -> failwith "invalid opcode"

